# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-q
Version:        1.1
Release:        1%{?dist}
Summary:        Quick and dirty python debugging output

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/q
Source0:        https://pypi.python.org/packages/source/q/q/q-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel

%description
If you've ever been frustrated trying to debug with print because a web
application or a unittesting framework is swallowing your debugging output,
q will make you jump for joy.

  import q
  variable = 'Hmmm... something happened here'
  q.q(variable)

cat /tmp/q


%prep
%setup -q -n q-%{version}


%build
# Remove CFLAGS=... for noarch packages (unneeded)
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

 
%files
%doc
%{python_sitelib}/*


%changelog
* Tue Mar 19 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 1.1-1
- Initial Fedora build


